cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Pilgrim

IA 2010 (Hotfix) Update Problem

When trying to use the Help -> Update function, it opens an empty frame and (with LAX_DEBUG=true) I get an exception:

Exception in thread "Loader for _WebUIBrowser_1" java.lang.VerifyError: (class: org/mozilla/javascript/optimizer/Codegen, method: visitReturn signature: (Lorg/mozilla/javascript/Node;Lorg/mozilla/javascript/Node;)V) Incompatible object argument for function call
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:169)
at org.mozilla.javascript.Context.(OEAB)
at ice.scripters.js.TheScripter.enterContext(OEAB)
at ice.scripters.js.TheScripter.init(OEAB)
at ice.storm.StormBase.getScripter(OEAB)
at ice.pilots.html4.ThePilot.doScriptEval(OEAB)
at ice.pilots.html4.DOMBuilder.addChildNode(OEAB)
at ice.pilots.html4.DOMBuilder.endElement(OEAB)
at ice.dombase.LexBase.endElement(OEAB)
at ice.dombase.LexBase.char_buf(OEAB)
at ice.dombase.LexBase.arraycopy(OEAB)
at ice.dombase.LexBase.parse(OEAB)
at ice.dombase.LexBase.parse(OEAB)
at ice.pilots.html4.ThePilot.access$100(OEAB)
at ice.pilots.html4.ThePilot.parse(OEAB)
at ice.storm.StormBase.do_render_content(OEAB)
at ice.storm.Viewport.runAsynchronousLoad(OEAB)
at ice.storm.LoadThread.run(OEAB)

Any ideas hot to fix this?

Environment:
java.version == 1.6.0_19 (Java 1)
java.vm.name == Java HotSpot(TM) Server VM
java.vm.vendor == Sun Microsystems Inc.
java.vm.version == 16.2-b04
java.vm.specification.name == Java Virtual Machine Specification
java.vm.specification.vendor == Sun Microsystems Inc.
java.vm.specification.version == 1.0
java.specification.name == Java Platform API Specification
java.specification.vendor == Sun Microsystems Inc.
java.specification.version == 1.6
java.vendor == Sun Microsystems Inc.
java.vendor.url == http://java.sun.com/
java.class.version == 50.0
java.compiler == null
java.home == /usr/local/inubit/tf/ibis-head/javainstall/_jvm/jre
java.io.tmpdir == /tmp
os.name == Linux
os.arch == i386
os.version == 2.6.31.12-0.2-desktop
path.separator == :
file.separator == /
file.encoding == ISO-8859-15
user.name == tf
user.home == /home/tf
user.dir == /home/inubit/15_Produktentwicklung/javainstall/InstallAnywhere/head
user.language == de
user.region == null
Labels (1)
0 Kudos
3 Replies
Highlighted
Flexera beginner

Re: IA 2010 (Hotfix) Update Problem

I'm not sure I understood where the problem is: you can no longer access the Help/Check for Updates in order to install the hotfix, or once you install the hotfix you can no longer use that menu?
0 Kudos
Highlighted
Pilgrim

Re: IA 2010 (Hotfix) Update Problem

> you can no longer access the Help/Check for Updates in order to install the hotfix

Thats the problem. But w/o "no longer". I never saw in any IA release, that the windows is filled with anything 😉
0 Kudos
Highlighted
Flexera beginner

Re: IA 2010 (Hotfix) Update Problem

Oh, I guess that's because they use InstallShield Update Manager, which uses some weird IE engine, most likely not updated (or which broke whenever you update your IE). If the purpose is to install the hotfix you can download it directly from the links provided on the bottom of this page:
http://kb.flexerasoftware.com/selfservice/microsites/search.do?cmd=displayKC&docType=kc&externalId=Q...
0 Kudos